Topluluklar

Topluluk moderatörlerini getir

GET /v1/communities/{community_id}/moderators reads 2 kredi

Bir topluluğun yöneticileri ve moderatörleri.

Sorgu parametreleri

Sorgu parametresiTürAnlamı
countint 1–100 = 50İstenen sayfa boyutu; X bunu ipucu olarak değerlendirir
cursorstringÖnceki sayfanın next_cursor değerinden; çözülemeyen bir imleç 400 döner

yanıt

Üyelerle aynı biçim; çoğu topluluk tek sayfaya sığar, dolayısıyla next_cursor genellikle null olur.

Durum: 200, 400, 404, 422, 429, 502

istek
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/moderators \
  -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 400
{
  "community_id": "1493446837214187523",
  "users": [
    {
      "id": "641633",
      "screen_name": "marckohlbrugge",
      "name": "Marc Köhlbrugge",
      "bio": "",
      "avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
      "banner": null,
      "followers": null,
      "following": null,
      "tweets": null,
      "location": "",
      "url": null,
      "verified": true,
      "verified_type": "blue",
      "protected": false,
      "created_at": null,
      "category": null,
      "role": "Admin"
    },
    {
      "…": "…",
      "role": "Moderator"
    }
  ],
  "next_cursor": null
}